<?php

/*
 * Plugin Name:       Enquiry for WooCommerce, WooCommerce Product catalog,Website
 * Plugin URI:        http://beepixl.com
 * Description:       The Enquiry for Products plugin adds an enquiry button to product. Using this customer can send you an enquiry or request a quote for a product.
 * Version:           1.0.1
 * Author:            BEEPIXL
 * Author URI:        https://www.beepixl.com
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       bpxl_enquiry
 */


if (!function_exists('add_action')) {
    die("Hi there! I'm just a plugin, not much I can do when called directly");
}



// Setup
add_action('admin_menu', 'bpxl_enquiry_menu');
//Display Button only when all values are setup
$dsposition = get_option('bpxl_wbtn_position');
$bpxl_phone_countrycode = get_option('bpxl_phone_countrycode');
$bpxl_whnumber = get_option('bpxl_whnumber');
$bpxl_dflt_message = get_option('bpxl_dflt_message');
$bpxl_wbtn_showonarchive = get_option('bpxl_wbtn_showonarchive');
$bpxl_wbtn_showfloating = get_option('bpxl_wbtn_showfloating');
$bpxl_fbtn_showfloating = get_option('bpxl_fbtn_showfloating');
$bpxl_fbtn_position = get_option('bpxl_fbtn_position');
$bpxl_fbtn_showonarchive = get_option('bpxl_fbtn_showonarchive');
$bpxl_facebook_page_url = get_option('bpxl_facebook_page_url');



if ($bpxl_wbtn_showfloating != "" || $bpxl_fbtn_showfloating != "") {
    add_action($dsposition, 'bpxl_enquiry_whatsapp_display', 6);
    add_action('wp_footer','bpxl_enquiry_display_button');
}
if ($bpxl_wbtn_showfloating != "" || $bpxl_fbtn_showfloating != "") {
    add_action($bpxl_fbtn_position, 'bpxl_enquiry_facebook_display', 6);
    add_action('wp_footer','bpxl_enquiry_display_button');
}
if ($bpxl_phone_countrycode != "" && $bpxl_whnumber != "" && $bpxl_dflt_message != "" && $bpxl_wbtn_showonarchive == "yes") {
   add_action('woocommerce_after_shop_loop_item', 'bpxl_enquiry_whatsapp_display',50 );
 }

 if ($bpxl_facebook_page_url  != "" && $bpxl_fbtn_showonarchive == "yes") {    
   add_action('woocommerce_after_shop_loop_item', 'bpxl_enquiry_facebook_display',50 );
 }
// Includes
include('includes/activate.php');
include('includes/init.php'); 

// Hooks
register_activation_hook(__FILE__, 'bpxl_enquiry_activate_plugin');     
//add_action('init','dswpenquiry_init');
        
// Shortcodes